Subject: [DNSOP] another AS112 document question

From: Joe Abley <[email-masked]>
Date: Thu, 22 May 2014 13:05:14 -0400

Hi all, again :-)

RFC 7249, fresh off the presses, instantiates an IANA registry for "Special-Purpose AS Numbers".

The initial registry contents are:

   AS Numbers             Reason for Reservation
   ---------------------  -------------------------------------------
   0                      Reserved by [AS0-PROCESS]
   23456                  AS_TRANS; reserved by [RFC6793]
   64496-64511            For documentation and sample code; reserved
                            by [RFC5398]
   64512-65534            For private use; reserved by [RFC6996]
   65535                  Reserved by [RFC1930]
   65536-65551            For documentation and sample code; reserved
                            by [RFC5398]
   4200000000-4294967294  For private use; reserved by [RFC6996]
   4294967295             Reserved by [LAST-AS-RES]

7249 describes this registry as follows:

   Some special-purpose AS numbers have been reserved.  Section 3 of
   this document establishes an IANA registry for special-purpose AS
   Numbers that have already been reserved.  Future additions to this
   registry can be made through "IETF Review" as defined in [RFC5226].
   Once a reservation is approved, it is recorded in the special-purpose
   AS numbers registry with a reference to the IESG-approved RFC that
   documents the reservation.

William and I have heard the suggestion that we should add 112 to this registry. A convenient mechanism for doing so would be to add some IANA considerations to rfc6304bis.

7249 is not particularly clear on what "special" means. AS 112 is not special from a protocol perspective; it's just another origination point for prefixes on the Internet, and in that sense is the same as AS 701, etc.

On the other hand, AS 112 *is* special in the sense that it corresponds to a specific architecture service that has been described in the IETF, and one which is not controlled operationally by any single entity, and AS 112 really shouldn't be used for anything else.

So, same basic question as before: given that rfc6304bis is already in wglc, do we think it's worthwhile adding a sentence to the text to request the IANA to add 112 to the "Special-Purpose AS Numbers" registry?

Joe

---

From: joel jaeggli <[email-masked]>
Date: Thu, 22 May 2014 10:45:45 -0700

On 5/22/14, 10:05 AM, Joe Abley wrote:
> William and I have heard the suggestion that we should add 112 to
> this registry. A convenient mechanism for doing so would be to add
> some IANA considerations to rfc6304bis.

start from first principles.  the resource holder is the DNS-OARC which
has a street address you and  I recognize. if the OARC wan't to assign
the resource to IANA they can inidicate that, we can then direct iana to
manage it as part of the registry via a standards action.

> 7249 is not particularly clear on what "special" means. AS 112 is not
> special from a protocol perspective; it's just another origination
> point for prefixes on the Internet, and in that sense is the same as
> AS 701, etc.

Special I interpret as process by which the registry is managed
directing iana to add the resource to the registry, e.g. the process
defines them as special, as opposed to ordinary resource holders in the
registry system.

> On the other hand, AS 112 *is* special in the sense that it
> corresponds to a specific architecture service that has been
> described in the IETF, and one which is not controlled operationally
> by any single entity, and AS 112 really shouldn't be used for
> anything else.

though in this particular case there is a resource holder even if that
resource holder is an informalry constructed entity.

> So, same basic question as before: given that rfc6304bis is already
> in wglc, do we think it's worthwhile adding a sentence to the text to
> request the IANA to add 112 to the "Special-Purpose AS Numbers"
> registry?
> 
> 
> Joe _______________________________________________ DNSOP mailing
> list [email-masked] https://www.ietf.org/mailman/listinfo/dnsop
>

---

From: Paul Wouters <[email-masked]>
Date: Thu, 22 May 2014 13:58:12 -0400 (EDT)

On Thu, 22 May 2014, Joe Abley wrote:

> On the other hand, AS 112 *is* special

> So, same basic question as before: given that rfc6304bis is already in wglc, do we think it's worthwhile adding a sentence to the text to request the IANA to add 112 to the "Special-Purpose AS Numb…

Yes.

Paul

---

From: Geoff Huston <[email-masked]>
Date: Fri, 23 May 2014 20:58:31 +1000

> So, same basic question as before: given that rfc6304bis is already in wglc, do we think it's worthwhile adding a sentence to the text to request the IANA to add 112 to the "Special-Purpose AS Numb…

yes

---

From: Geoff Huston <[email-masked]>
Date: Fri, 23 May 2014 20:57:59 +1000

yes